<beans 
    xmlns = "http://www.springframework.org/schema/beans"
    xmlns:xsi = "http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context = "http://www.springframework.org/schema/context"
    xmlns:sws = "http://www.springframework.org/schema/web-services"
    xmlns:tx="http://www.springframework.org/schema/tx"
    xsi:schemaLocation = "
    http://www.springframework.org/schema/beans 
    http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    http://www.springframework.org/schema/web-services
    http://www.springframework.org/schema/web-services/web-services-2.0.xsd
    http://www.springframework.org/schema/context 
    http://www.springframework.org/schema/context/spring-context-3.0.xsd
    http://www.springframework.org/schema/tx
    http://www.springframework.org/schema/tx/spring-tx-3.0.xsd ">
    
    <context:component-scan base-package = "cz.csu.sdmx"/>

    <tx:annotation-driven />
    <sws:dynamic-wsdl 
       id="vws"
       portTypeName = "ValidatorPort"
       locationUri = "/soap/"
       targetNamespace = "http://csu.cz/sdmx/soap">
       <sws:xsd location = "classpath:webservice/soap.xsd"/>
    </sws:dynamic-wsdl>
    
    <bean id="exceptionResolver"
        class="cz.csu.sdmx.soap.SoapFaultExceptionResolver">
        <property name="defaultFault" value="SERVER"/>
    </bean>
</beans>